Developer Programs

Learn

Docs

Digital Provisioning

Card Management > API Reference > v1 > Digital Provisioning

The API endpoints collected in this section are for version v1 of the Digital Provisioning API.

Digital Provisioning Overview

High-Level Description

Digital Provisioning APIs are used to provision a cardholder’s digital wallet for the following 2 Pay services: Apple Pay and Google Pay. Each wallet has its own endpoint, with additional endpoints to handle digital provisioning programs.

Use

Digital Provisioning APIs will allow consumers to put cards into their digital wallets for Apple and Google devices.

Wallet Provisioning APIs (Apple Pay/Google Pay)

The Create Wallet Provisioning Request endpoints will create provisioning elements for a Visa card for ApplePay and GooglePay. These will only be utilized by Visa cardholders.

Wallet Package APIs (Apple Pay/Google Pay)

These Apple Pay and Google Pay endpoints will provision an encrypted request for Mastercard users only. The consumer must retrieve elements from Mastercard via the Mastercard APIs before calling these APIs.

Provisioning Settings APIs

Provisioning Settings allow institutions to configure which cards are allowed to be provisioned based on their BIN range. BIN ranges will need to be set up and enabled prior to any cards being provisioned.

Wallet Utility APIs

These are helpful utilities for provisioning digital wallets. The eligibility search endpoint takes either card tokens or encrypted PANs. The encrypted card data endpoint simply allows you to verify if your encryption is correct. In either case, the flow for how this encryption functions can be seen in the reference for Encryption Utilities API.

Creating Provisioning Flow

Create Provisioning Token for Card - ApplePay

Example flow

sequenceDiagram actor C as Consumer participant DW as Digital Provisioning APIs C->>DW: POST /programs/digital-wallet-provisionings DW->>C: Created Response C->>DW: POST /digital-wallets/provisionings/eligibility-search DW->>C: OK Response C->>DW: POST /digital-wallets/provisionings/apple-pay DW->>C: Created Response

Create Provisioning Token for Card - GooglePay

Example flow

sequenceDiagram actor C as Consumer participant DW as Digital Provisioning APIs C->>DW: POST /programs/digital-wallet-provisionings DW->>C: Created Response C->>DW: POST /digital-wallets/provisionings/eligibility-search DW->>C: OK Response C->>DW: POST /digital-wallets/provisionings/google-pay DW->>C: Created Response

Topics in this section


Did this page help you?

Last updated Fri Feb 6 2026